"use strict";
/**
 * Copyright © 2018-present Emu Analytics
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.PipelineComponentEndpoints = void 0;
var base_endpoints_1 = require("./base.endpoints");
var pipeline_metric_endpoint_1 = require("./pipeline-metric.endpoint");
var PipelineComponentEndpoints = /** @class */ (function (_super) {
    __extends(PipelineComponentEndpoints, _super);
    function PipelineComponentEndpoints(client, pipelineId) {
        var _this = _super.call(this, client, "pipelines/".concat(pipelineId, "/components")) || this;
        _this.pipelineId = pipelineId;
        return _this;
    }
    PipelineComponentEndpoints.prototype.metrics = function (componentId) {
        return new pipeline_metric_endpoint_1.PipelineMetricEndpoints(this.client, this.pipelineId, componentId);
    };
    return PipelineComponentEndpoints;
}(base_endpoints_1.BaseEndpoints));
exports.PipelineComponentEndpoints = PipelineComponentEndpoints;
//# sourceMappingURL=pipeline-component.endpoints.js.map