/**
 * Copyright © 2018 Emu Analytics
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { BaseEndpoints } from './base.endpoints';
var DatabaseEndpoints = /** @class */ (function (_super) {
    __extends(DatabaseEndpoints, _super);
    function DatabaseEndpoints(client) {
        return _super.call(this, client, 'databases') || this;
    }
    DatabaseEndpoints.prototype.drivers = function () {
        return this.client._get("/api/v1/databases/drivers").catch(function (e) {
            if (e.status === 404) {
                // Backwards compatibility for pre-1.0.0 Flo.w
                return ['postgis', 'postgis-mapnik'];
            }
        });
    };
    return DatabaseEndpoints;
}(BaseEndpoints));
export { DatabaseEndpoints };
//# sourceMappingURL=database.endpoints.js.map