/**
 * Copyright © 2018-present Emu Analytics
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { BaseEndpoints } from './base.endpoints';
import { PipelineMetricEndpoints } from './pipeline-metric.endpoint';
var PipelineComponentEndpoints = /** @class */ (function (_super) {
    __extends(PipelineComponentEndpoints, _super);
    function PipelineComponentEndpoints(client, pipelineId) {
        var _this = _super.call(this, client, "pipelines/".concat(pipelineId, "/components")) || this;
        _this.pipelineId = pipelineId;
        return _this;
    }
    PipelineComponentEndpoints.prototype.metrics = function (componentId) {
        return new PipelineMetricEndpoints(this.client, this.pipelineId, componentId);
    };
    return PipelineComponentEndpoints;
}(BaseEndpoints));
export { PipelineComponentEndpoints };
//# sourceMappingURL=pipeline-component.endpoints.js.map