/**
 * Copyright © 2018 Emu Analytics
 */
import { Client } from './client';
import { WebSocketSubscribeCallback, WebSocketUnsubscriber } from './web-socket-gateway';
export declare class AppConfigEndpoints {
    private readonly client;
    constructor(client: Client);
    private get resourceEndpoint();
    get(path?: string, params?: Record<string, any>): Promise<any>;
    set(path: string | null, value: any, params?: Record<string, any>): Promise<any>;
    delete(path: string, params?: Record<string, any>): Promise<any>;
    subscribe(cb: WebSocketSubscribeCallback): WebSocketUnsubscriber;
}
//# sourceMappingURL=appconfig.endpoints.d.ts.map