/**
 * Copyright © 2018 Emu Analytics
 */
import { Client } from './client';
import { BaseEndpoints } from './base.endpoints';
import { IJob, IJobSubmission, IJobStatus } from './api-interfaces';
export declare class JobEndpoints extends BaseEndpoints<IJob> {
    constructor(client: Client);
    submit(submission: IJobSubmission): Promise<IJob>;
    getStatus(jobId: string): Promise<IJobStatus>;
    setStatus(jobId: string, status: IJobStatus): Promise<IJob>;
    cancel(jobId: string): Promise<IJob>;
    request(jobType: string): Promise<IJob>;
}
//# sourceMappingURL=job.endpoints.d.ts.map