import { IUpload } from './api-interfaces';
import { BaseEndpoints } from './base.endpoints';
import { Client } from './client';
export interface UploadOptions {
    data: any;
    filename: string;
    datasetId?: string;
    datasetName?: string;
    datasetDescription?: string;
    attribution?: string;
    sourceSrid?: number;
    targetSrid?: number;
    schema?: string;
    metadata?: any;
    abortController?: AbortController;
    progress?: (event: any) => void;
}
export declare class UploadEndpoints extends BaseEndpoints<IUpload> {
    constructor(client: Client);
    upload(options: UploadOptions, params?: Record<string, any>): Promise<IUpload>;
}
//# sourceMappingURL=upload.endpoints.d.ts.map