"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Client = void 0;
var client_1 = require("../client");
client_1.Client.prototype._get = function (path, options) {
    var _a;
    if (options === void 0) { options = {}; }
    // Move apiKey from params
    if ((_a = options.params) === null || _a === void 0 ? void 0 : _a.apiKey) {
        options.apiKey = options.params.apiKey;
        delete options.params.apiKey;
    }
    return __assign(__assign({ method: 'get', url: path }, options), this.headers(options));
};
client_1.Client.prototype._post = function (path, data, options) {
    var _a;
    if (options === void 0) { options = {}; }
    // Move apiKey from params
    if ((_a = options.params) === null || _a === void 0 ? void 0 : _a.apiKey) {
        options.apiKey = options.params.apiKey;
        delete options.params.apiKey;
    }
    return __assign(__assign({ method: 'post', url: path, data: data }, options), this.headers(options));
};
client_1.Client.prototype._put = function (path, data, options) {
    var _a;
    if (options === void 0) { options = {}; }
    // Move apiKey from params
    if ((_a = options.params) === null || _a === void 0 ? void 0 : _a.apiKey) {
        options.apiKey = options.params.apiKey;
        delete options.params.apiKey;
    }
    return __assign(__assign({ method: 'put', url: path, data: data }, options), this.headers(options));
};
client_1.Client.prototype._delete = function (path, options) {
    var _a;
    if (options === void 0) { options = {}; }
    // Move apiKey from params
    if ((_a = options.params) === null || _a === void 0 ? void 0 : _a.apiKey) {
        options.apiKey = options.params.apiKey;
        delete options.params.apiKey;
    }
    return __assign(__assign({ method: 'delete', url: path }, options), this.headers(options));
};
exports.Client = client_1.Client;
//# sourceMappingURL=client.js.map