"use strict";
/**
 * Copyright © 2018 Emu Analytics
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TileEndpoints = void 0;
var TileEndpoints = /** @class */ (function () {
    function TileEndpoints(client) {
        this.client = client;
    }
    TileEndpoints.prototype.getTileSpec = function (tilesourceId, params) {
        if (params === void 0) { params = {}; }
        return this.client._get("/tiles/".concat(tilesourceId, "/index.json"), { params: params });
    };
    TileEndpoints.prototype.getPreviewStyle = function (tilesourceId, params) {
        if (params === void 0) { params = {}; }
        return this.client._get("/tiles/".concat(tilesourceId, "/style.json"), { params: params });
    };
    return TileEndpoints;
}());
exports.TileEndpoints = TileEndpoints;
//# sourceMappingURL=tile.endpoints.js.map