/**
 * Copyright © 2018 Emu Analytics
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { BaseEndpoints } from './base.endpoints';
var JobEndpoints = /** @class */ (function (_super) {
    __extends(JobEndpoints, _super);
    function JobEndpoints(client) {
        return _super.call(this, client, 'jobs') || this;
    }
    JobEndpoints.prototype.submit = function (submission) {
        return this.client._post("/api/v1/jobs/submit", submission);
    };
    JobEndpoints.prototype.getStatus = function (jobId) {
        return this.client._get("/api/v1/jobs/".concat(jobId, "/status"));
    };
    JobEndpoints.prototype.setStatus = function (jobId, status) {
        return this.client._post("/api/v1/jobs/".concat(jobId, "/status"), status);
    };
    JobEndpoints.prototype.cancel = function (jobId) {
        return this.client._post("/api/v1/jobs/".concat(jobId, "/cancel"), {});
    };
    JobEndpoints.prototype.request = function (jobType) {
        return this.client._post("/api/v1/jobs/request", { type: jobType });
    };
    return JobEndpoints;
}(BaseEndpoints));
export { JobEndpoints };
//# sourceMappingURL=job.endpoints.js.map