/**
 * Copyright © 2018 Emu Analytics
 */
var TileEndpoints = /** @class */ (function () {
    function TileEndpoints(client) {
        this.client = client;
    }
    TileEndpoints.prototype.getTileSpec = function (tilesourceId, params) {
        if (params === void 0) { params = {}; }
        return this.client._get("/tiles/".concat(tilesourceId, "/index.json"), { params: params });
    };
    TileEndpoints.prototype.getPreviewStyle = function (tilesourceId, params) {
        if (params === void 0) { params = {}; }
        return this.client._get("/tiles/".concat(tilesourceId, "/style.json"), { params: params });
    };
    return TileEndpoints;
}());
export { TileEndpoints };
//# sourceMappingURL=tile.endpoints.js.map