/**
 * Copyright © 2018-present Emu Analytics
 */
import { IPipeline } from './api-interfaces';
import { BaseEndpoints } from './base.endpoints';
import { Client } from './client';
import { PipelineComponentEndpoints } from './pipeline-component.endpoints';
export declare class PipelineEndpoints extends BaseEndpoints<IPipeline> {
    constructor(client: Client);
    components(pipelineId: string): PipelineComponentEndpoints;
    heartbeat(id: string, params?: Record<string, any>): Promise<void>;
    publishMetrics(metrics: object, params?: Record<string, any>): Promise<void>;
}
//# sourceMappingURL=pipeline.endpoints.d.ts.map